# ParadisEO-MOMovingObjects: moNoAspirCrit< M > Class Template Reference

# moNoAspirCrit< M > Class Template Reference

One of the possible aspiration criterion (moAspirCrit). More...

`#include <moNoAspirCrit.h>`

Inheritance diagram for moNoAspirCrit< M >:

List of all members.

## Private Member Functions

bool | operator() (const M &_move, const typename M::EOType::Fitness &_fitness)
| Function which describes the aspiration criterion behaviour.
void | init ()
| Procedure which initialises all that needs a moNoAspirCrit.

## Detailed Description

### template<class M>
class moNoAspirCrit< M >

One of the possible aspiration criterion (moAspirCrit).

The simplest : never satisfied.

Definition at line 47 of file moNoAspirCrit.h.

## Member Function Documentation

template<class M>

bool moNoAspirCrit< M >::operator() | ( | const M & | _move,
|  | const typename M::EOType::Fitness & | _fitness |
| ) |  |  | `[inline, private]`

Function which describes the aspiration criterion behaviour.

Does nothing.

Parameters:

  | _move | a move.
  | _fitness | a fitness.

Returns:
  false.

Definition at line 57 of file moNoAspirCrit.h.

template<class M>

void moNoAspirCrit< M >::init | ( |  | ) | `[inline, private, virtual]`

Procedure which initialises all that needs a moNoAspirCrit.

Nothing...

Implements moAspirCrit< M >.

Definition at line 66 of file moNoAspirCrit.h.

The documentation for this class was generated from the following file:

- moNoAspirCrit.h